import React from 'react'
import { Modal, Descriptions, Divider, Image } from 'antd'

interface Iprops {
    isModalVisible: boolean
    onChangeVisible: () => void
    values: any
}

const showApplyColums = [
    {
        title: '设备类型',
        dataIndex: 'type_name',
    },
    {
        title: '经办人',
        dataIndex: 'agent',
    },
    {
        title: '经办人电话',
        dataIndex: 'agent_phone',
    },
    {
        title: '申请时间',
        dataIndex: 'created_time',
    },
    {
        title: '备注',
        dataIndex: 'comment',
    },
    {
        title: '附件',
        dataIndex: 'appendix',
        span: 1,
        render: (imgs = []) => {
            return imgs.map((src) => {
                return <Image key={src} width={200} src={src}></Image>
            })
        },
    },
]
const showConfimColums = [
    {
        title: '审核状态',
        dataIndex: 'status',
    },
    {
        title: '审核时间',
        dataIndex: 'approve_time',
    },
    {
        title: '审核回复',
        dataIndex: 'feedback',
        span: 1,
    },
]
const DetailModal: React.FC<Iprops> = (props) => {
    const { isModalVisible, onChangeVisible, values } = props
    return (
        <Modal
            width={600}
            title="详情"
            visible={isModalVisible}
            onOk={onChangeVisible}
            onCancel={onChangeVisible}
        >
            <Descriptions title="申请" colon column={{ xl: 2, xxl: 2, xs: 2 }}>
                {showApplyColums.map((colums) => {
                    return (
                        <Descriptions.Item
                            key={colums.dataIndex}
                            label={colums.title}
                        >
                            {typeof colums.render === 'function'
                                ? colums.render(values[colums.dataIndex])
                                : values[colums.dataIndex] || '-'}
                        </Descriptions.Item>
                    )
                })}
            </Descriptions>
            <Divider></Divider>
            <Descriptions title="审核" colon column={{ xl: 2, xxl: 2, xs: 2 }}>
                {showConfimColums.map((colums) => {
                    return (
                        <Descriptions.Item
                            key={colums.dataIndex}
                            label={colums.title}
                            span={colums.span}
                        >
                            {values[colums.dataIndex] || '-'}
                        </Descriptions.Item>
                    )
                })}
            </Descriptions>
        </Modal>
    )
}
export default DetailModal
