import * as React from 'react'
import Request from '../utils/request'

export const useProjectList = () => {
    const [state, setState] = React.useState<{
        loading: boolean
        dataSouce: {
            id: number
            name: string
        }[]
    }>({
        loading: false,
        dataSouce: [],
    })
    const request = () => {
        setState((preState) => ({ ...preState, loading: true }))
        return Request.sendRequest({
            url: '/v1/project/list',
        })
            .then((data: any) => {
                setState((preState) => ({
                    ...preState,
                    loading: false,
                    dataSouce: data,
                }))
            })
            .catch((error) => {
                setState((preState) => ({ ...preState, loading: false }))
            })
    }
    return [state, request] as const
}
